<template>
  <header class="header">
    <div class="header__logo-wrapper">
      <router-link :to="{ name: 'home' }" class="header__logo-link">
        <p class="header__logo">Web<br />Goer</p>
      </router-link>
    </div>
    <nav class="header__navigation">
      <ul class="navigation__list">
        <li
          class="navigation__item"
          v-for="link in navigation"
          :key="link.label"
        >
          <router-link class="navigation__link" :to="link.route" exact-path>
            {{ link.label }}
          </router-link>
        </li>
      </ul>
    </nav>
    <div class="header__contact-wrapper">
      <a href="tel:789456123" class="header__contact">789 456 123</a>
      <a href="mailto:support@webgoer.com" class="header__contact"
        >support@webgoer.com</a
      >
    </div>
  </header>
</template>

<script>
export default {
  name: 'TheHeader',
  data() {
    return {
      mainNavigation: [
        { label: 'работы', route: { name: 'home', hash: '#cases' } },
        { label: 'скилы', route: { name: 'home', hash: '#skills' } }
        // { label: 'связаться', route: { name: 'home', hash: '#contact' } }
      ],
      caseNavigation: [
        // { label: 'Главная', route: { name: 'home' } },
        { label: 'Зелёный Марафон', route: { name: 'green-marathon' } },
        { label: 'Хеннесси', route: { name: 'hennessy' } },
        { label: 'Волга-Днепр', route: { name: 'volga-dnepr' } }
      ]
    }
  },
  computed: {
    navigation() {
      return this.$route.matched[0].meta.case
        ? this.caseNavigation
        : this.mainNavigation
    }
  }
}
</script>
